close all;                               % 모든 생성된 창을 닫음 
clear all;                               % 열려있는 작업영역(workspace)을 모두 비움 
clc;                                     % 명령(command) 창을 비움

n=-5:10;                                 % 시간축 설정
x=sin(pi*n/2);                           % 신호 x[n] 생성
w=-pi:1/200:pi;                          % 주파수축 설정 
Xf=x*(exp(-j*n'*w));                     % x[n]의 DTFT X(Omega) 계산 
XR=real(Xf);                             %(Omega)의 실수부 
XI=imag(Xf);                             %(Omega)의 허수부 

subplot(2,1,1);                          % 2행 1열 분할 그림창의 1번 창
plot(w/(2*pi),XR);                       % X(Omega)의 실수부를 그림
title('\bf{스펙트럼의 실수부}');          % 그림 제목
xlabel('\bf{F}');                        % x축 라벨 표시 
subplot(2,1,2);                          % 2행 1열 분할 그림창의 2번 창
plot(w/(2*pi),XI);                       % X(Omega)의 허수부를 그힘 
title('\bf{스펙트럼의 허수부}');          % 그림 제목
xlabel('\bf{F}');                        % x축 라벨 표시